Developers
API ReferenceTask Template

Retrieves the collection of TaskTemplate resources

GET
/project/task-templates

Retrieves the collection of TaskTemplate resources

Authorization<token>

Value for the Authorization header parameter.

In: header

Query Parameters

page?integer

The collection page number

Default1
itemsPerPage?integer

The number of items per page

Range0 <= value <= 100
Default30
name?string
order[name]?string
Default"asc"

Value in

  • "asc"
  • "desc"
isPublic?boolean
hidePublic?boolean

Response Body

curl -X GET "https://example.com/project/task-templates"
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "isPublic": true,    "createdBy": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "shortCode": "string",      "firstName": "string",      "lastName": "string",      "email": "string",      "pictureSm": "string",      "pictureLg": "string",      "contractorName": "string",      "jobPositionName": "string",      "canLogIn": true,      "isExternal": true    }  }]